LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 05-05-2011, 09:07 PM   #1
TSquaredF
Member
 
Registered: Dec 2005
Location: "The South Coast of Texas"
Distribution: Slackware64-current
Posts: 490
Blog Entries: 1

Rep: Reputation: 55
Cannot compile gksu in 13.37


I'm using sbopkg-0.35.0 in Slack 13.37, and Ponce's SBo-git current repository (but have the identical problem with the official SBo 1337 repository). I have installed GConf & ORBit2 from /extra & have installed the other dependencies (gnome-keyring, & libgtop) via Ponce's repository. When compiling libgksu, it errors as follows:
Quote:
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LIBKGSU... configure: error: Package requirements (gtk+-2.0 >= 2.4.0, gconf-2.0, libstartup-notification-1.0, gnome-keyring-1, libgtop-2.0) were not met:

No package 'gnome-keyring-1' found
Gnome-keyring is installed, but for some reason, it isn't recognized. Can someone point me in the right direction, please?
Regards,
Bill
 
Click here to see the post LQ members have rated as the most helpful post in this thread.
Old 05-05-2011, 09:19 PM   #2
andrewthomas
Senior Member
 
Registered: May 2010
Location: Chicago Metro
Distribution: Arch, Gentoo, Slackware
Posts: 1,690

Rep: Reputation: 307Reputation: 307Reputation: 307Reputation: 307
Have you installed libgnome-keyring?

http://slackbuilds.org/repository/13...gnome-keyring/
 
2 members found this post helpful.
Old 05-05-2011, 09:47 PM   #3
TSquaredF
Member
 
Registered: Dec 2005
Location: "The South Coast of Texas"
Distribution: Slackware64-current
Posts: 490
Blog Entries: 1

Original Poster
Rep: Reputation: 55
Quote:
Originally Posted by andrewthomas View Post
Have you installed libgnome-keyring?

http://slackbuilds.org/repository/13...gnome-keyring/
Thanks a lot. That got the program compiled (& will teach me not to rely on someone else's determination of dependencies). However, the program won't run properly. But I'll mark this solved & post again, if I have to.
Edit: I did get it to work, after a couple of googles. My problem was that I got an error saying that "gksu-run-helper was either not present or not executable". One of the posters said that '/usr/lib64/libgksu/gksu-run-helper was being looked for in another location'. I tried creating the directory /usr/lib/libgksu, then linking /usr/lib/libgksu/gksu-run-helper to /usr/lib64/libgksu/gksu-run-helper. Now all is working fine & I'm happy (for the moment).
Regards,
Bill

Last edited by TSquaredF; 05-05-2011 at 10:12 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How do I install gksu in 12.2 ? tjwoosta Slackware 9 07-28-2009 03:13 AM
gksu with c++ Loser Linux - Software 1 10-23-2008 06:22 PM
gksu not working semtex Linux - Desktop 3 02-16-2007 06:42 AM
gksu or alternative? shame Slackware 4 05-09-2006 05:25 PM
problems with su, gksu nixer4me Debian 1 03-11-2006 05:39 PM


All times are GMT -5. The time now is 10:29 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration